commit: 409cbbf7b289732d7f584fbf2d0fbefb078885b7
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 19 05:53:40 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jun 19 05:54:26 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=409cbbf7
media-libs/rlottie: upstream force-pushed to fix version in meson.build
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-libs/rlottie/Manifest | 1 +
.../rlottie/files/rlottie-0.1-disable-werror.patch | 10 +++++
media-libs/rlottie/rlottie-0.1-r1.ebuild | 43 ++++++++++++++++++++++
3 files changed, 54 insertions(+)
diff --git a/media-libs/rlottie/Manifest b/media-libs/rlottie/Manifest
index e79c58d8084..53951e6eded 100644
--- a/media-libs/rlottie/Manifest
+++ b/media-libs/rlottie/Manifest
@@ -1,2 +1,3 @@
DIST rlottie-0.0.1_pre20200424.tar.gz 3371620 BLAKE2B
cdfc89f66e7aec736029416decf76777f22b4cb8293bed74e647088480faed4c6ffd03a29a967ac532f9e747858fdd93fa552eb974085f7cf1701a12fe3a2c38
SHA512
1a05b835c083337a80b32ea8c1e201d1d2356c58e314b791f74f95504303f3ef46d3951abf2a7467daaeae462c1fe2cf793d9fb2402639b279ca6ea6367cdda7
+DIST rlottie-0.1-1.tar.gz 3370181 BLAKE2B
7ba580af961f2af7b92c40b4640f8b515c21a354ef5e639c5f00b0ea26fd3e2929dbf2e926b58d39ad3f48228511ba42a42a24d4b7bb914389a7e43df810d667
SHA512
ab9b913d9e0bc938a878a6847851cd6965dc61efbf8ef71761b83d6ff577479cf0c0b214c36e58ddd6a29927a1954c3d3db9db427779b5a2d472c8962cd45ff1
DIST rlottie-0.1.tar.gz 3370201 BLAKE2B
071c811865c478e130650ae54f1d95000dac7c34f9c304776153df9f7d92d50f552862f79c6a04bd3ec7dc8221f8aafbe413d36503deb6133acfab985ca0ed0a
SHA512
55a60d63fee4ed9dfa79734e1798d70d84eae96bb53064468c2aa14fb1e9fd6dbccd3c95b1a7e02e31c0bbc21978760ea9b41bc79c4567cc54228bc6280a155f
diff --git a/media-libs/rlottie/files/rlottie-0.1-disable-werror.patch
b/media-libs/rlottie/files/rlottie-0.1-disable-werror.patch
new file mode 100644
index 00000000000..55e50d63a55
--- /dev/null
+++ b/media-libs/rlottie/files/rlottie-0.1-disable-werror.patch
@@ -0,0 +1,10 @@
+--- a/meson.build 2020-06-19 08:49:20.511888022 +0300
++++ b/meson.build 2020-06-19 08:49:49.166640657 +0300
+@@ -1,6 +1,6 @@
+ project('rlottie',
+ 'cpp',
+- default_options : ['warning_level=3', 'werror=true', 'cpp_std=c++14',
'optimization=s'],
++ default_options : ['cpp_std=c++14', 'optimization=s'],
+ version : '0.1',
+ license : 'LGPL-v2.1')
+
diff --git a/media-libs/rlottie/rlottie-0.1-r1.ebuild
b/media-libs/rlottie/rlottie-0.1-r1.ebuild
new file mode 100644
index 00000000000..5aafb524127
--- /dev/null
+++ b/media-libs/rlottie/rlottie-0.1-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="A platform independent standalone library that plays Lottie
Animations"
+HOMEPAGE="https://www.tizen.org/ https://github.com/Samsung/rlottie"
+SRC_URI="https://github.com/Samsung/rlottie/archive/v${PV}.tar.gz ->
${P}-1.tar.gz"
+
+LICENSE="BSD FTL JSON LGPL-2.1 MIT"
+SLOT="0/0.0.1"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug examples test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/gtest )"
+
+PATCHES=( "${FILESDIR}"/${P}-disable-werror.patch )
+
+src_configure() {
+ local emesonargs=(
+ -D cache=true
+ -D module=true
+ -D thread=true
+
+ -D cmake=false
+ -D example=false
+
+ $(meson_use debug dumptree)
+ $(meson_use debug log)
+ $(meson_use test)
+ )
+
+ meson_src_configure
+}
+
+src_test() {
+ cd "${BUILD_DIR}" || die "Failed to switch into BUILD_DIR."
+ eninja test
+}